Bug 20291 - Add a StaffLoginInstructions system preference to add text to the staff client login box
Summary: Add a StaffLoginInstructions system preference to add text to the staff clien...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2018-02-24 01:45 UTC by Nick Clemens
Modified: 2018-05-14 14:31 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20291: Add a StaffLoginInstructions preference for adding text to staff client login (2.90 KB, patch)
2018-02-24 01:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20291: Add a StaffLoginInstructions preference for adding text to staff client login (2.95 KB, patch)
2018-02-26 13:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20291: (follow-up) Add sysprefs.sql changes (1.74 KB, patch)
2018-02-27 10:47 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20291: Add a StaffLoginInstructions preference for adding text to staff client login (3.02 KB, patch)
2018-03-28 06:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20291: (follow-up) Add sysprefs.sql changes (1.80 KB, patch)
2018-03-28 06:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20291: (follow-up) Rename NoLoginInstructions to OpacLoginInstructions (4.21 KB, patch)
2018-03-29 10:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20291: (follow-up) Rename NoLoginInstructions to OpacLoginInstructions (8.33 KB, patch)
2018-03-29 16:17 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-02-24 01:45:13 UTC

    
Comment 1 Nick Clemens 2018-02-24 01:48:00 UTC
Created attachment 72174 [details] [review]
Bug 20291: Add a StaffLoginInstructions preference for adding text to staff client login

To test:
1 - Apply patches
2 - Upgrade database
3 - Check the staff client login page, should be no change
4 - Add something to the preferene
5 - It should appear on the login page
Comment 2 Owen Leonard 2018-02-26 13:46:09 UTC
Created attachment 72204 [details] [review]
Bug 20291: Add a StaffLoginInstructions preference for adding text to staff client login

To test:
1 - Apply patches
2 - Upgrade database
3 - Check the staff client login page, should be no change
4 - Add something to the preferene
5 - It should appear on the login page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2018-02-26 23:35:13 UTC
You have missed the update to sysprefs.sql!
Comment 4 Nick Clemens 2018-02-27 10:47:24 UTC
Created attachment 72253 [details] [review]
Bug 20291: (follow-up) Add sysprefs.sql changes

Current status: Failed QA
Comment 5 Katrin Fischer 2018-03-28 06:10:16 UTC
Created attachment 73370 [details] [review]
Bug 20291: Add a StaffLoginInstructions preference for adding text to staff client login

To test:
1 - Apply patches
2 - Upgrade database
3 - Check the staff client login page, should be no change
4 - Add something to the preferene
5 - It should appear on the login page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2018-03-28 06:10:37 UTC
Created attachment 73371 [details] [review]
Bug 20291: (follow-up) Add sysprefs.sql changes

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2018-03-28 21:13:24 UTC
StaffLoginInstructions vs NoLoginInstructions
That is wrong, I think it should be:
NoLoginInstructions for Staff and OPACNoLoginInstructions for OPAC

It seems to be the pattern we follow for other prefs.
Do not you think?
Comment 8 Katrin Fischer 2018-03-28 21:39:00 UTC
The 'no' in the pref for opac never made sense to me. Why not OPACLoginInstructions and (Staff)LoginInstructions? If we are to go and rename.
Comment 9 Nick Clemens 2018-03-29 10:09:12 UTC
I agree with Katrin 'NoLoginInstructions' is very awkward, StaffLoginInstructions and OPACLoginInstructions if much more clear
Comment 10 Nick Clemens 2018-03-29 10:16:00 UTC
Created attachment 73413 [details] [review]
Bug 20291: (follow-up) Rename NoLoginInstructions to OpacLoginInstructions
Comment 11 Jonathan Druart 2018-03-29 14:54:25 UTC
Nick, you need to s/NoLoginInstructions/OpacLoginInstructions/g correctly :)

Double-check the following files:
koha-tmpl/opac-tmpl/bootstrap/en/includes/masthead.inc
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
Comment 12 Nick Clemens 2018-03-29 16:17:03 UTC
Created attachment 73435 [details] [review]
Bug 20291: (follow-up) Rename NoLoginInstructions to OpacLoginInstructions
Comment 13 Katrin Fischer 2018-03-30 09:08:07 UTC
Should make a note about the named syp pref in the release notes, but fully agree with the changes.
Comment 14 Jonathan Druart 2018-04-02 21:15:14 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 15 Nick Clemens 2018-05-14 14:31:58 UTC
Enhancement, not backporting to 17.11.x